From fd34472cdce1d49bee6fa840caffff6f06de00de Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Wed, 21 Apr 2021 08:05:14 -0600
Subject: [PATCH] update-netbsd.sh: fix script name, update year range in
 copyright.

Fix the script name and year range in update-netbsd.sh.

gdb/ChangeLog
2021-04-21  Frederic Cambus  <fred@statdns.com>

	* syscalls/update-netbsd.sh: Fix script name display in usage, and
	update year range in generated copyright notices.
---
 gdb/ChangeLog                 | 5 +++++
 gdb/syscalls/update-netbsd.sh | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

diff --git a/gdb/ChangeLog b/gdb/ChangeLog
index a601300e955..13d0bc26f37 100644
--- a/gdb/ChangeLog
+++ b/gdb/ChangeLog
@@ -1,3 +1,8 @@
+2021-04-21  Frederic Cambus  <fred@statdns.com>
+
+	* syscalls/update-netbsd.sh: Fix script name display in usage, and
+	update year range in generated copyright notices.
+
 2021-04-20  Felix Willgerodt  <felix.willgerodt@intel.com>
 
 	* c-exp.y (qualifier_seq_noopt): Replace qualifier_seq with
diff --git a/gdb/syscalls/update-netbsd.sh b/gdb/syscalls/update-netbsd.sh
index 505bdc2564f..75cd8f0adab 100755
--- a/gdb/syscalls/update-netbsd.sh
+++ b/gdb/syscalls/update-netbsd.sh
@@ -29,14 +29,14 @@
 
 if [ $# -ne 1 ]; then
    echo "Error: Path to syscall.h missing. Aborting."
-   echo "Usage: update-gnulib.sh <path-to-syscall.h>"
+   echo "Usage: update-netbsd.sh <path-to-syscall.h>"
    exit 1
 fi
 
 cat > netbsd.xml.tmp <<EOF
 <?xml version="1.0"?> <!-- THIS FILE IS GENERATED -*- buffer-read-only: t -*-  -->
 <!-- vi:set ro: -->
-<!-- Copyright (C) 2020 Free Software Foundation, Inc.
+<!-- Copyright (C) 2020-2021 Free Software Foundation, Inc.
 
      Copying and distribution of this file, with or without modification,
      are permitted in any medium without royalty provided the copyright
-- 
2.31.1

